com.google.gwt.user.client.ui

## Enum ValueBoxBase.TextAlignment

- java.lang.Object
- - java.lang.Enum<ValueBoxBase.TextAlignment>
  - - com.google.gwt.user.client.ui.ValueBoxBase.TextAlignment

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ValueBoxBase.TextAlignment>

Enclosing class:
  ValueBoxBase<T>

    public static enum ValueBoxBase.TextAlignment
    extends java.lang.Enum<ValueBoxBase.TextAlignment>

Alignment values for `ValueBoxBase.setAlignment(com.google.gwt.user.client.ui.ValueBoxBase.TextAlignment)`.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CENTER`
`JUSTIFY`
`LEFT`
`RIGHT`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`(package private) abstract java.lang.String` `getTextAlignString()`
`static ValueBoxBase.TextAlignment` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ValueBoxBase.TextAlignment[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CENTER

    public static final ValueBoxBase.TextAlignment CENTER

#### JUSTIFY

    public static final ValueBoxBase.TextAlignment JUSTIFY

#### LEFT

    public static final ValueBoxBase.TextAlignment LEFT

#### RIGHT

    public static final ValueBoxBase.TextAlignment RIGHT

### Method Detail

#### values

    public static ValueBoxBase.TextAlignment[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ValueBoxBase.TextAlignment c : ValueBoxBase.TextAlignment.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ValueBoxBase.TextAlignment valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getTextAlignString

    abstract java.lang.String getTextAlignString()